ExpandedProductParsedResult (ZXing 3.4.0 API)

com.google.zxing.client.result

## Class ExpandedProductParsedResult

- java.lang.Object
- - com.google.zxing.client.result.ParsedResult
  - - com.google.zxing.client.result.ExpandedProductParsedResult

-     public final class ExpandedProductParsedResult
      extends ParsedResult

  Represents a parsed result that encodes extended product information as encoded by the RSS format, like weight, price, dates, etc.
  Author:
    Antonio Manuel Benjumea Conde, Servinform, S.A., Agustín Delgado, Servinform, S.A.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KILOGRAM`
    `static String` | `POUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpandedProductParsedResult(String rawText, String productID, String sscc, String lotNumber, String productionDate, String packagingDate, String bestBeforeDate, String expirationDate, String weight, String weightType, String weightIncrement, String price, String priceIncrement, String priceCurrency, Map<String,String> uncommonAIs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getBestBeforeDate()`
    `String` | `getDisplayResult()`
    `String` | `getExpirationDate()`
    `String` | `getLotNumber()`
    `String` | `getPackagingDate()`
    `String` | `getPrice()`
    `String` | `getPriceCurrency()`
    `String` | `getPriceIncrement()`
    `String` | `getProductID()`
    `String` | `getProductionDate()`
    `String` | `getRawText()`
    `String` | `getSscc()`
    `Map<String,String>` | `getUncommonAIs()`
    `String` | `getWeight()`
    `String` | `getWeightIncrement()`
    `String` | `getWeightType()`
    `int` | `hashCode()`

    - ### Methods inherited from class com.google.zxing.client.result.ParsedResult

      `getType, maybeAppend, maybeAppend, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KILOGRAM

          public static final String KILOGRAM

      See Also:
        Constant Field Values

    - #### POUND

          public static final String POUND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExpandedProductParsedResult

          public ExpandedProductParsedResult(String rawText,
                                             String productID,
                                             String sscc,
                                             String lotNumber,
                                             String productionDate,
                                             String packagingDate,
                                             String bestBeforeDate,
                                             String expirationDate,
                                             String weight,
                                             String weightType,
                                             String weightIncrement,
                                             String price,
                                             String priceIncrement,
                                             String priceCurrency,
                                             Map<String,String> uncommonAIs)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getRawText

          public String getRawText()

    - #### getProductID

          public String getProductID()

    - #### getSscc

          public String getSscc()

    - #### getLotNumber

          public String getLotNumber()

    - #### getProductionDate

          public String getProductionDate()

    - #### getPackagingDate

          public String getPackagingDate()

    - #### getBestBeforeDate

          public String getBestBeforeDate()

    - #### getExpirationDate

          public String getExpirationDate()

    - #### getWeight

          public String getWeight()

    - #### getWeightType

          public String getWeightType()

    - #### getWeightIncrement

          public String getWeightIncrement()

    - #### getPrice

          public String getPrice()

    - #### getPriceIncrement

          public String getPriceIncrement()

    - #### getPriceCurrency

          public String getPriceCurrency()

    - #### getUncommonAIs

          public Map<String,String> getUncommonAIs()

    - #### getDisplayResult

          public String getDisplayResult()

      Specified by:
        `getDisplayResult` in class `ParsedResult`

Copyright © 2007–2019. All rights reserved.